App\Entity\CatalogueFournisseur:
    type: entity
    table: catalogue_fournisseur
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        titre:
            type: string
            length: 255
            fixed: false
            nullable: false
        description:
            type: text
            nullable: true
        fichier:
            type: string
            length: 255
            fixed: false
            nullable: true
        dateMiseajour:
            type: datetime
            nullable: true
    manyToOne:
        fournisseur:
            targetEntity: Fournisseur
            cascade: {  }
            mappedBy: null
            inversedBy: catalogues
            joinColumns:
                fournisseur_id:
                    referencedColumnName: id
            orphanRemoval: false